### Method

# Gtk TreeModelforeach

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_model_foreach (
      GtkTreeModel* model,
      GtkTreeModelForeachFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` on each node in model in a depth-first fashion.

If `func` returns `TRUE`, then the tree ceases to be walked, and `gtk_tree_model_foreach()` returns.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`func`

  Type: `GtkTreeModelForeachFunc`

  A function to be called on each row.

`user_data`

  Type: `gpointer`

  User data to passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.